remove ancient libEGL.la dependency

Bug reports for Audacity 2.3.0 alpha

This forum is only for feedback and bug reports for the specified version of Audacity.

All bug reports must include the following information:
  • Exact version number of Audacity
  • Operating system version
  • Brief description of the problem
  • Detailed, step by step instructions for how to reproduce the problem
Bug reports that do not include the above information will be deleted

Additional information and / or screenshots should be included as necessary to adequately describe the problem.

remove ancient libEGL.la dependency

Permanent link to this post Posted by 1d497 » Sun Apr 15, 2018 7:15 am

Exact version number of Audacity: Audacity 2.3.0 alpha git
Operating system version: Linux
Brief description of the problem: build fails with built with a modern meson build of mesa git--due to missing libEGL.la.
Detailed, step by step instructions for how to reproduce the problem: Compile mesa git with meson/ninja. Then attempt to compile audacity from git.

From https://bugs.freedesktop.org/show_bug.cgi?id=105567 :

"No sane project should depend on the .la files - that's why distros/packaging tools remove them by default."

".la files are generated by libtool, meson doesn't use libtool so there will be no .la files. It's not a bug, it's actually a feature. As Emil said, projects should not be dependent on .la files, that's bad behavior."
1d497
 
Posts: 1
Joined: Sun Apr 15, 2018 7:04 am
Operating System: GNU/Linux other

Re: remove ancient libEGL.la dependency

Permanent link to this post Posted by steve » Sun Apr 15, 2018 11:17 am

Where does the build failure occur? During the build of wxGTK?
9/10 questions are answered in the FREQUENTLY ASKED QUESTIONS (FAQ)
steve
Site Admin
 
Posts: 46549
Joined: Sat Dec 01, 2007 11:43 am
Operating System: Linux *buntu


Return to Audacity 2.3.0 alpha bug reports



Who is online

Users browsing this forum: No registered users and 1 guest